package com.docus.server.collect.basic.mq;

import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * @author jiashi
 * 梅州中医医院 MQ 监听
 */
@Component
public class JmsIbmMqBasicConsumer {
    @Resource(name = "basicJmsMqCollectServiceImpl")
    private IBasicMqCollectService basicMqCollectService;

    /**
     * 订阅队列（注册科室）
     *
     * @param message 科室信息
     */
//    @JmsIbmListener(destination = "TJ_createDepartment")
    public void addBasic(String message) {
        basicMqCollectService.addTBasic(message);
    }


    /**
     * 订阅队列（变更科室）
     *
     * @param message 科室信息
     */
//    @JmsIbmListener(destination = "TJ_updateDepartment")
    public void updateBasic(String message) {
        basicMqCollectService.updateTBasic(message);
    }

}
